%global momorel 1

Name:           scsi-target-utils
Version:        0.9.6
Release:        %{momorel}m%{?dist}
Summary:        The SCSI target daemon and utility programs

Group:          System Environment/Daemons
License:        GPLv2
URL:            http://stgt.berlios.de
Source0:        http://stgt.berlios.de/releases/tgt-%{version}.tar.bz2
NoSource:	0
Source1:        tgtd.init
Patch0:         tgt-20080805-shebang.patch
Patch1:         tgt-0.9.5-makefile.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  openssl-devel pkgconfig
Requires:       chkconfig initscripts

%description
The SCSI target package contains the daemon and tools to setup a SCSI targets.
Currently, software iSCSI targets are supported.

%prep
%setup -q -n tgt-%{version}
%patch0 -p1
%patch1 -p1
%{__chmod}  0644 scripts/tgt-core-test

%build
if pkg-config openssl ; then
        CPPFLAGS=$(pkg-config --cflags openssl) ; export CPPFLAGS
        LDFLAGS=$(pkg-config --libs openssl) ; export LDFLAGS
fi
pushd usr
%{__sed} -i -e 's|-g -O2|%{optflags}|' Makefile
%{__make} %{?_smp_mflags} ISCSI=1

%install
%{__rm} -rf %{buildroot}
%{__install} -d %{buildroot}%{_sbindir}
%{__install} -d %{buildroot}%{_mandir}/man8
%{__install} -d %{buildroot}%{_sysconfdir}/init.d

%{__install} -p -m 0755 %{SOURCE1} %{buildroot}%{_sysconfdir}/init.d/tgtd
%{__install} -p -m 0755 scripts/tgt-admin %{buildroot}/%{_sbindir}/tgt-admin
%{__install} -p -m 0644 doc/manpages/tgtadm.8 %{buildroot}/%{_mandir}/man8
%{__install} -p -m 0644 doc/manpages/tgt-admin.8 %{buildroot}/%{_mandir}/man8

pushd usr
%{__make} install DESTDIR=%{buildroot}

# we ship these by doc macro
%{__rm} -rf %{buildroot}/usr/share/doc/tgt

%post
/sbin/chkconfig --add tgtd

%postun
if [ "$1" = "1" ] ; then
     /sbin/service tgtd condrestart > /dev/null 2>&1
fi

%preun
if [ "$1" = "0" ] ; then
     /sbin/chkconfig tgtd stop > /dev/null 2>&1
     /sbin/chkconfig --del tgtd
fi

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc README doc/README.* doc/targets.conf.example doc/tmf.txt doc/TODO
%doc scripts/tgt-core-test
%{_sbindir}/tgtd
%{_sbindir}/tgtadm
%{_sbindir}/tgt-setup-lun
%{_sbindir}/tgt-admin
%{_sbindir}/tgtimg
%{_mandir}/man8/*
%{_initscriptdir}/tgtd

%changelog
* Tue May 19 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.6-1m)
- update 0.9.6-release

* Tue Apr 07 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0-4.20071227snap.5m)
- rebuild against openssl-0.9.8k

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0-4.20071227snap.4m)
- rebuild against rpm-4.6

* Fri Dec 26 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0-4.20071227snap.3m)
- revise for rpm46 (s/%%patch/%%patch0/)

* Mon Jun  9 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.0-4.20071227snap.2m)
- use %%{_initscriptdir} instead of %%{_initrddir}

* Mon Jun  9 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (0.0-4.20071227snap.1m)
- import from Fedora

* Sun Feb 10 2008 Terje Rosten <terje.rosten@ntnu.no> - 0.0-4.20071227snap
- update to 20071227 snapshot
- add patch to compile with newer glibc

* Sat Feb  9 2008 Terje Rosten <terje.rosten@ntnu.no> - 0.0-3.20070803snap
- rebuild

* Sun Dec 07 2007 Alex Lancaster <alexlan[AT]fedoraproject.org> - 0.0-2.20070803snap
- Rebuild for new openssl soname bump

* Wed Sep 26 2007 Terje Rosten <terje.rosten@ntnu.no> - 0.0-1.20070803snap
- random cleanup

* Wed Sep 26 2007 Terje Rosten <terje.rosten@ntnu.no> - 0.0-0.20070803snap
- update to 20070803
- fix license tag
- use date macro
- build with correct flags (%%optflags)

* Tue Jul 10 2007 Mike Christie <mchristie@redhat.com> - 0.0-0.20070620snap
- first build
